#include <bits/stdc++.h>
using namespace std;
int n;
long long ai[10050000],b;
double pi[100500];
int main(){
cin>>n;
for (int i=1;i<=n;i++)
cin>>ai[i]>>pi[i];
for (int i=1;i<=n;i++){
b=b+ai[i];}
cout<<(ai[1]+ai[2])/pi[1]<<endl;







return 0;
}